<script>
import pagination from "laravel-vue-pagination";
import { error_message, success_message } from "../../Helper/helper";
import { webLayoutService } from "../../services/";


/**
 * Customers component
 */
export default {
  components: { pagination },
  data() {
    return {
      facebook_app_icon: "../../../../images/sales_channels/4696483_circle_facebook_media_network_social_icon.png",
      facebook_profile_link: "https://order.chatfood.io/f/kake-da-dhaba",
      facebook_post_link: "https://order.chatfood.io/f/kake-da-dhaba",
      step1_img: "../../../../images/sales_channels/Facebook_Page_1.png",
      step2_img: "../../../../images/sales_channels/Facebook_Page_2.png",
      step3_img: "../../../../images/sales_channels/Facebook_Page_3.png",
      copy_facebook_url:"",
    };
  },
  mounted(){
        // this.getWebSetting();
    },
  methods: {
    copy_facebook_profile_link() {
      var Url = this.$refs.facebook_profile_text;
      Url.innerHTML = this.facebook_profile_link;
      Url.select();
      document.execCommand("copy");
      document.getSelection().removeAllRanges();
      success_message("Message Copy Successfully");
    },
    copy_client_url(){
      var Url = this.$refs.text;
      Url.innerHTML = this.copy_facebook_url;
      Url.select();
      document.execCommand("copy");
      document.getSelection().removeAllRanges();    
      success_message('Copy Successfully');
    },
    getWebSetting(){
            webLayoutService.getWebSetting().then((response) => {
               if(response.data.result.is_custom_domain == 0){
                    this.copy_facebook_url = response.data.result.website_url+".deonde.co";
                }else{
                    this.copy_facebook_url = response.data.result.website_url;
                }
            });
    }
  },
};
</script>

<template>
  <div>
    <b-container class="bv-example-row p-0">
      <b-row class="text-center">
        <b-col cols="12" class="p-0">
          <b-col cols="12">
            <div class="card">
              <div class="card-body">
                <b-container fluid class="overflow-auto">
                  <b-row class="text-left">
                    <b-col cols="12">
                      <h5 class="mt-4">
                        <b-avatar
                          variant="info"
                          class="custom_avt"
                          :src="facebook_app_icon"
                        ></b-avatar>
                        {{trans.get('__JSON__.Facebook profile')}}
                      </h5>
                      <p class="mt-3">
                        {{trans.get('__JSON__.Start ordering with your Facebook Business Page. Connect web ordering with Facebook Business Page and start receiving orders from there')}}.
                      </p>
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 1')}}</h5>
                      <p>
                        {{trans.get('__JSON__.Log in to Facebook & Go to Pages where you want to start taking orders')}}.
                      </p>
                    </b-col>
                    <b-col></b-col>
                  </b-row>
                  <b-row>
                    <b-col cols="12">
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 2')}}</h5>
                      <p class="text-left mb-4">
                        {{trans.get('__JSON__.On Business Page you will find `Add a Button` Click on it')}}.
                      </p>
                    </b-col>
                    <b-col></b-col>
                  </b-row>
                  <b-row>
                    <b-col class="12">
                      <img class="w-100" :src="step1_img" />
                    </b-col>
                  </b-row>
                  <b-row>
                    <b-col cols="12">
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 3')}}</h5>
                      <p class="text-left mt-2 mb-4">
                        {{trans.get('__JSON__.From the List of options, Select the `Start order` option')}}.
                      </p>
                    </b-col>
                    <b-col></b-col>
                  </b-row>
                  <b-row>
                    <b-col class="12">
                      <img class="w-100" :src="step2_img" />
                    </b-col>
                  </b-row>
                  <b-row>
                    <b-col cols="12">
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 4')}}</h5>
                      <p class="text-left mb-4">
                        {{trans.get('__JSON__.Copy the Below Link and Paste it over there. And Save it.Now Customers will find the Button to Place an order on Facebook Business Page')}}.
                      </p>
                      <div class="d-flex">
                        <h5><b-alert show variant="primary" style="border-style: dotted;" id="copy_facebook_url" ><input type="text" readonly ref="text" class="input_clipboard" :value="copy_facebook_url">  <i class="fas fa-copy pl-2" @click="copy_client_url()"></i></b-alert></h5>
                        <a :href="'https://'+copy_facebook_url" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>
                      </div>
                    </b-col>
                    <b-col></b-col>
                  </b-row>
                  <b-row>
                    <b-col class="12">
                      <img class="w-100 mb-2" :src="step3_img" />
                    </b-col>
                  </b-row>
                </b-container>
              </div>
            </div>
          </b-col>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>
<style scoped>
.input_clipboard {
  width: 370px;
  border: none;
  background: #dde2fa;
  outline: none;
}
.main_layout {
  /* border-left: 1px solid #ced4da; */
  height: 80vh;
  overflow-x: scroll;
}
.custome_tab .nav-link.active {
  border: none !important;
  border-bottom: 1px solid #000 !important;
  background: transparent !important;
}
.custom_avt{
    width: 26px!important;
    height: 25px!important;
}
.link-bind{
    height: 47px;
    width: 47px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #556ee6;
    margin-left: 10px;
    border-radius: 5px;
}
</style>